Orders

GET/orders

List orders

Optional attributes

  • Name
    fulfillable
    Type
    boolean
    Description
    Filter to only return fulfillable orders

Request

GET/orders
curl -G https://YOUR_DOMAIN/api/orders \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/orders/upload

Upload orders

Required attributes

  • Name
    orders
    Type
    array<Order>
    Description
    The list of orders to upload

Optional attributes

  • Name
    channel_id
    Type
    integer
    Description
    The ID of the channel to upload orders for 1

Request

POST/orders/upload
curl -X POST https://YOUR_DOMAIN/api/orders/upload \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "channel_id": 1,
    "orders": []
}'
Loading response...
GET/orders/{order}

Get an order

Required attributes

  • Name
    order
    Type
    integer
    Description
    The ID of the order 1

Request

GET/orders/{order}
curl -G https://YOUR_DOMAIN/api/orders/{order} \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/orders/{order}/uploadShippingLabel

Upload a shipping label for an order

Required attributes

  • Name
    order
    Type
    integer
    Description
    The ID of the order 1

Request

POST/orders/{order}/uploadShippingLabel
curl -X POST https://YOUR_DOMAIN/api/orders/{order}/uploadShippingLabel \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/orders/{order}/markAsShipped

Mark an order as shipped

Required attributes

  • Name
    order
    Type
    integer
    Description
    The ID of the order 1

Optional attributes

  • Name
    tracking_number
    Type
    string
    Description
    The tracking number for the shipment 1Z999AA10123456784
  • Name
    carrier
    Type
    string
    Description
    The carrier for the shipment ups
  • Name
    fulfillment_request_id
    Type
    string
    Description
    The ID of the fulfillment request

Request

POST/orders/{order}/markAsShipped
curl -X POST https://YOUR_DOMAIN/api/orders/{order}/markAsShipped \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "tracking_number": "1Z999AA10123456784",
    "carrier": "ups"
}'
Loading response...